Skip to main content

private/staking/unstake

POST 

/private/staking/unstake

Create a request to unlock staked token.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/staking/unstake"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    instrument_name stringrequired

    Staking instrument name, e.g. SOL.staked.

    quantity decimalrequired

    Unstake quantity. For yield-bearing instruments, quantity in terms of original staked token. E.g. for TSTON.staked, specify the TSTON.staked quantity to unstake; you will receive the equivalent in TON when the request completes.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. staking_id, instrument_name, status, quantity, underlying_inst_name, reason.
    staking_id string

    Request id

    instrument_name string

    Staking instrument name, e.g. SOL.staked

    status StakingStatus (string)

    Possible values: [NEW, PENDING, PENDING_WITHDRAWAL, PENDING_UNSTAKING, STAKED, COMPLETED, REJECTED]

    • Possible values:
    • ➖ NEW: Request created
    • ➖ PENDING: In progress
    • ➖ PENDING_WITHDRAWAL: Withdrawal pending
    • ➖ PENDING_UNSTAKING: Unstaking pending
    • ➖ STAKED: Staked
    • ➖ COMPLETED: Completed
    • ➖ REJECTED: Rejected
    • Possible values by operations:
    • ➖ private/staking/stake: NEW, PENDING, STAKED, COMPLETED, REJECTED
    • ➖ private/staking/unstake: NEW, PENDING, PENDING_WITHDRAWAL, PENDING_UNSTAKING, STAKED, COMPLETED, REJECTED
    • ➖ private/staking/get-open-stake: NEW, PENDING, PENDING_WITHDRAWAL, PENDING_UNSTAKING, STAKED
    • ➖ private/staking/get-stake-history: COMPLETED, REJECTED
    quantity decimal

    Unstake quantity. For yield-bearing instruments, in terms of original staked token. E.g. for TSTON.staked, this shows the quantity of TON you will receive when the request completes.

    underlying_inst_name string

    Underlying instrument name, e.g. SOL

    reason string

    Reason for the status, e.g. NO_ERROR

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.